Bug 1276713 - Fedora 22 won't install on Intel Corporation 8 Series/C220 Series Chipset Family SATA Controller
Fedora 22 won't install on Intel Corporation 8 Series/C220 Series Chipset Fam...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: python-blivet (Show other bugs)
22
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: blivet-maint-list@redhat.com
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-30 11:37 EDT by andrew
Modified: 2016-07-19 14:22 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-07-19 14:22:35 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
storage.log (42.88 KB, text/plain)
2015-10-30 11:53 EDT, andrew
no flags Details
anaconda.log (5.15 KB, text/plain)
2015-10-30 12:00 EDT, andrew
no flags Details
kickstart (7.16 KB, text/plain)
2015-11-02 09:04 EST, andrew
no flags Details
program.log (14.96 KB, text/plain)
2015-11-02 12:33 EST, andrew
no flags Details
syslog (116.94 KB, text/plain)
2015-11-02 12:33 EST, andrew
no flags Details

  None (edit)
Description andrew 2015-10-30 11:37:49 EDT
Description of problem:

Fedora 22 fails to install on Intel Corporation 8 Series/C220 Series Chipset Family SATA Controller

[anaconda root@localhost ~]# lspci | grep -i sata
00:1f.2 RAID bus controller: Intel Corporation 8 Series/C220 Series Chipset Family SATA Controller 1 [RAID mode] (rev 05)

[anaconda root@localhost ~]# dmraid -r
/dev/sda: ddf1, ".ddf1_disks", GROUP, ok, 974608384 sectors, data@ 0
[anaconda root@localhost ~]# dmraid -s
*** Group superset .ddf1_disks
--> Subset
name   : ddf1_MegaSR   R0 #0
size   : 974608384
stride : 128
type   : stripe
status : ok
subsets: 0
devs   : 1
spares : 0

From the kernel booting.

[    5.016318] ata6: SATA link down (SStatus 0 SControl 300)
[    5.016342] ata1: SATA link up 6.0 Gbps (SStatus 133 SControl 300)
[    5.016361] ata4: SATA link down (SStatus 0 SControl 300)
[    5.019327] ata2: SATA link down (SStatus 0 SControl 300)
[    5.019396] ata3: SATA link down (SStatus 0 SControl 300)
[    5.045816] ata1.00: ATA-8: WD5003ABYX-23        81Y9803 81Y3866IBM,     WC42, max UDMA/133
[    5.045818] ata1.00: 976773168 sectors, multi 0: LBA48 NCQ (depth 31/32), AA
[    5.076665] usb usb4: Manufacturer: Linux 4.0.4-301.fc22.x86_64 ehci_hcd
[    5.076690] ata1.00: configured for UDMA/133
[    5.076812] scsi 0:0:0:0: Direct-Access     ATA      WD5003ABYX-23    WC42 PQ: 0 ANSI: 5
[    5.077005] sd 0:0:0:0: Attached scsi generic sg0 type 0
[    5.077039] sd 0:0:0:0: [sda] 976773168 512-byte logical blocks: (500 GB/465 GiB)
[    5.077055] sd 0:0:0:0: [sda] Write Protect is off
[    5.077062] sd 0:0:0:0: [sda] Write cache: disabled, read cache: enabled, doesn't support DPO or FUA
[    5.089614]  sda: sda1 sda2
[    5.089819] sd 0:0:0:0: [sda] Attached SCSI disk



How reproducible: 100%

Steps to Reproduce:
1.Install RHEL 7 or Fedora 22
2.
3.

Actual results:

installation hangs or first boot fails

Expected results:
installation completes, system able to boot

Additional info:
Comment 1 David Shea 2015-10-30 11:49:12 EDT
Please attach the logs from /tmp to this bug as individual, text/plain attachements.
Comment 2 andrew 2015-10-30 11:53 EDT
Created attachment 1087970 [details]
storage.log

Attaching storage.log
Comment 3 andrew 2015-10-30 12:00 EDT
Created attachment 1087975 [details]
anaconda.log

attaching anaconda.log
Comment 4 andrew 2015-10-30 12:02:02 EDT
What other logs other than anaconda.log and storage.log's do you need?

[anaconda root@localhost tmp]# ls -l
total 240
-rw-r--r--. 1 root root   5278 Oct 30 15:21 anaconda.log
drwxr-xr-x. 7 root root    340 Oct 30 15:21 dnf.cache
-rw-r--r--. 1 root root   2378 Oct 30 15:21 dnf.log
-rw-r--r--. 1 root root     49 Oct 30 15:21 dnf.rpm.log
-rw-r--r--. 1 root root   3199 Oct 30 15:21 hawkey.log
-rw-r--r--. 1 root root   9324 Oct 30 15:21 ifcfg.log
-rwx------. 1 root root   1038 Oct 30 15:21 ks-script-KbdrZj
-rw-------. 1 root root    235 Oct 30 15:21 libuser.HMKadL
-rw-r--r--. 1 root root    812 Oct 30 15:21 packaging.log
-rw-r--r--. 1 root root  15318 Oct 30 15:21 program.log
-rw-r--r--. 1 root root      0 Oct 30 15:21 sensitive-info.log
-rw-r--r--. 1 root root  43913 Oct 30 15:21 storage.log
-rw-r--r--. 1 root root  16384 Oct 30 15:21 storage.state
-rw-r--r--. 1 root root 120701 Oct 30 15:57 syslog
drwx------. 2 root root     60 Oct 30 15:21 tmux-0
Comment 5 David Shea 2015-10-30 15:31:11 EDT
program.log and syslog.

As far as the actual failure, how far does the install get before it hangs? And what do you mean by "or first boot fails," does the install finish some of the time? How does the boot fail?
Comment 6 andrew 2015-10-30 16:50:11 EDT
(In reply to David Shea from comment #5)
> program.log and syslog.
> 
> As far as the actual failure, how far does the install get before it hangs?
> And what do you mean by "or first boot fails," does the install finish some
> of the time? How does the boot fail?

The installer won't see any disks.


Not enough space in file systems for the current software selection. An additional 2.79 GiB is needed.
  Please make your choice from above ['q' to quit | 'b' to begin installation |
  'r' to refresh]: 
[anaconda] 1:main* 5:shell- 3:log  4:storage-lo> Switch tab: Alt+Tab | Help: F1 
================================================================================
================================================================================
Probing storage...
Installation Destination

No disks detected.  Please shut down the computer, connect at least one disk, an
d restart to complete installation.
You have not defined a root partition (/), which is required for installation of
 Fedora to continue.
No valid boot loader target device found. See below for details.
You must include at least one MBR- or GPT-formatted disk as an install target.

  Please make your choice from above ['q' to quit | 'c' to continue |
  'r' to refresh]:
Comment 7 Brian Lane 2015-10-30 20:14:37 EDT
It looks like you are doing a kickstart, please also attach a copy (sanitized if needed) of that.
Comment 8 andrew 2015-11-02 09:04 EST
Created attachment 1088588 [details]
kickstart

attached is the kickstart
Comment 9 andrew 2015-11-02 12:33 EST
Created attachment 1088664 [details]
program.log
Comment 10 andrew 2015-11-02 12:33 EST
Created attachment 1088665 [details]
syslog
Comment 11 David Lehman 2015-11-10 09:11:18 EST
It is known that DDF RAID metadata is not supported. There are plans to add support, but there is no estimated availability date.
Comment 12 Fedora End Of Life 2016-07-19 14:22:35 EDT
Fedora 22 changed to end-of-life (EOL) status on 2016-07-19. Fedora 22 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.